html, body {
    height: 100%;
    margin: 0;
    width: 100%;
}

.icon {
    max-height: 32px;
}

.pnl-main {
    align-items: flex-start;
    display: flex;
    flex-direction: column;
    height: 98%;
    margin: 0;
    padding-left: 5px;
    padding-top: 5px;
    width: 95%;
}

#header {
    bottom: 0;
    margin-bottom: 10px;
    position: fixed;
    text-align: right;
    width: 95%;
}

#element-file-input {
    display: none;
}

#btn-report-close {
    border-style: outset;
    border-width: 5px;
    padding: 10px;
    position: fixed;
    right: 50px;
    top: 50px;
}

#btn-upload {
    background-color: #1fb264;
    border-color: #25d879;
    border-radius: 10px;
    border-style: outset;
    border-width: 4px;
    box-shadow: 2px 2px 4px rgba(19, 111, 62, 0.75);
    height: 60px;
    margin-bottom: 10px;
    padding-right: 5px;
    position: relative;
    width: 100%;
}

#btn-upload:hover {
    background-color: #1AA059;
    color: #fff;
    transition: all .5s ease;
    cursor: pointer;
}

#btn-upload:active {
    border-style: none;
    box-shadow: none;
}

#btn-upload-content {
    background-color: inherit;
    color: inherit;
    font-family: sans-serif;
    font-size: 20px;
    font-weight: bolder;
    left: 50%;
    position: absolute;
    text-align: center;
    margin: 0;
    top: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
}

#pnl-drop-area {
    background-color: #eee;
    border-color: #ccc;
    border-radius: 10px;
    border-style: dashed;
    border-width: 8px;
    color: #999;
    height: 8em;
    margin-bottom: 10px;
    position: relative;
    width: 100%;
}

#pnl-drop-area:hover {
    background-color: #fff;
    color: #242424;
    transition: all .5s ease;
}

#pnl-drop-area.highlight {
    background-color: #bedecd;
    border-color: purple;
    color: purple;
    transition: all .5s ease;
}

#pnl-drop-area-content {
    background-color: inherit;
    color: inherit;
    font-family: sans-serif;
    font-size: 20px;
    font-weight: bolder;
    left: 50%;
    margin: 0;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
}

#pnl-notifier {
    border: 1px solid #ccc;
    background-color: #fff;
    display: none;
    height: 100%;
    left: 0px;
    opacity: 0;
    position: fixed;
    top: 0px;
    width: 100%;
}

#pnl-notifier.show {
    display: block;
    opacity: 80%;
    transition: opacity 5s; /* Opacity changed in app.js */
}

#pnl-notifier-icon {
    left: 5px;
    margin: 0;
    position: absolute;
    top: 20%;
}

#pnl-notifier-content {
    font-family: monospace;
    font-size: 2em;
    font-weight: bolder;
    left: 150px;
    margin: 0;
    position: absolute;
    top: 20%;
    transform: translate(0%, 32px);
    -ms-transform: translate(0%, 32px);
}

#pnl-report {
    border: 1px solid #ccc;
    background-color: #fff;
    display: none;
    height: 100%;
    left: 0px;
    overflow: scroll;
    padding: 2em;
    position: fixed;
    top: 0px;
    width: 100%;
}

#pnl-report.show {
    display: block;
}

#pnl-report-content {
    font-family: monospace;
    margin: 0;
    overflow-wrap: break-word;
    white-space: pre-wrap;
}

#pnl-result-view {
    font-family: monospace;
    font-size: 2em;
    color: #000;
    height: 100%;
    margin-bottom: 10px;
    margin-top: 20px;
    overflow: auto;
    position: relative;
    white-space: pre;
    width: 100%;
}

.pnl-result-view-row {
    border: none;
    font-family: monospace;
}

.pnl-result-view-cell-icon {
    padding-left: 40px;
    padding-right: 50px;
    vertical-align: top;
}

.pnl-result-view-cell-text {
    overflow-wrap: break-word;
    vertical-align: top;
    white-space: normal;
}

.pnl-result-view-cell-text-summary {
    border-top: 1px dotted black;
    font-weight: bold;
    overflow-wrap: break-word;
    vertical-align: top;
    white-space: normal;
}

.pnl-result-view-cell-text-summary-nosep {
    font-weight: bold;
    overflow-wrap: break-word;
    vertical-align: top;
    white-space: normal;
}
